Managed Platform Content for Server Automation

183514

Micro Focus Micro Focus Supported

Micro Focus | Micro Focus Supported

Platform Content which enables support for new managed platforms.
3,403 downloads

Description

This community provides the support for new managed platforms in Server Automation to enable use cases such as: os provision, patching, update software and perform audits on servers, as well as other tasks.

Releases

Release
Size
Date
PlatformInstaller - RHEL7PPC64LE 75.0.79701.0.0
58.7 MB
  |  
Oct 22, 2018
More info Less info
Product Compatibility
Server Automation
Version 2018.08
Release Notes

Platform Installer for Red Hat Enterprise Linux Server 7 PPC64LE on SA 2018.08


Limitations:

 - The platform installer is not supported on DCAA

 - OS provisioning and virtualization are not supported for this platform

 - SMO Sitemap is not supported due to the deprecated sitemap. This implies that Service Automation Visualizer Tool and Inventory Runtime State are not supported for this platform


 Fixed Issues:  

  1.   QCCR1D250429 - Security improvement 
Languages
English
Platform Installer - SLES12 PPC64LE 75.0.79579.0.0
59.2 MB
  |  
Oct 8, 2018
More info Less info
Product Compatibility
Server Automation
Version 2018.08
Release Notes

Platform Installer for SuSE Linux Enterprise Server 12 PPC64LE on SA 2018.08


Limitations:

 - The platform installer is not supported on DCAA

 - OS provisioning and virtualization are not supported for this platform

 - SMO Sitemap is not supported due to the deprecated sitemap. This implies that HPE Service Automation Visualizer Tool and Inventory Runtime State are not supported for this platform


 Fixed Issues:    

  1.   QCCR1D250429 - Security improvement 


Languages
English
PlatformInstaller - RHEL7PPC64LE 65.0.79559.0.0
58.3 MB
  |  
Oct 8, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.5
Release Notes

Platform Installer for Red Hat Enterprise Linux Server 7 PPC64LE on SA 10.5x


Prerequisites:

 - For Server browser->Inventory->Services functionality, the following rollup versions are required:

   * for 10.50 - ROLLUP_10.50.009

   * for 10.51 - ROLLUP_10.51.007


Limitations:

 - The platform installer is not supported on DCAA

 - OS provisioning and virtualization are not supported for this platform

 - SMO Sitemap is not supported due to the deprecated sitemap. This implies that Service Automation Visualizer Tool and Inventory Runtime State are not supported for this platform

Languages
English
PlatformInstaller - RHEL7PPC64LE 60.0.79553.0.1
58.4 MB
  |  
Oct 5, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.2
Release Notes

Platform Installer for Red Hat Enterprise Linux Server 7 PPC64LE on SA 10.23


Prerequisites:

 - For Server browser->Inventory->Services functionality, the following rollup version is required ROLLUP_10.23.007


Limitations:

 - The platform installer is not supported on DCAA

 - OS provisioning and virtualization are not supported for this platform

 - SMO Sitemap is not supported due to the deprecated sitemap. This implies that Service Automation Visualizer Tool and Inventory Runtime State are not supported for this platform


Languages
English
Platform Installer - SLES15 x86_64 60.0.79080.0.0
112.2 MB
  |  
Aug 17, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.2
Release Notes

Platform Installer for SuSE Linux Enterprise Server 15 X86_64 on SA 10.23


Prerequisites:

    - For Server Browser->Inventory->Services functionality:

        - For SA 10.23, ROLLUP_10.23.007 or newer needs to be installed on the core.



Limitations:

    - The platform installer is not supported on DCAA and SA versions below 10.23.

    - "Clone VM" and "Deploy VM" are not supported (these operations are only supported starting with SA 10.5x)


SLES15 OS provisioning:


SLES15, unlike most of the other distributions that only provide an install CD/DVD, delivers the required content for OS provisioning in two separate files. The most natural and maintainable solution is to use two media sources for provisioning in SA:

    1. OSBP step "Set Media Source" needs to point to the unzipped contents of SLES15-Installer-x86_64 iso

    2. OSBP step "Inject AutoYaST Personalization Settings" needs to point to the unzipped SLES15-Packages-x86_64 iso

Languages
English
Platform Installer - SLES15 x86_64 70.0.79110.0.0
118.2 MB
  |  
Aug 14, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.6
Release Notes

Platform Installer for SuSE Linux Enterprise Server 15 X86_64 on SA 10.60


Prerequisites:

    - For Server Browser->Inventory->Services functionality and Virtualization support:

        -ROLLUP_10.60.009 or newer needs to be installed on the core.


Limitations:

    - The platform installer is not supported on DCAA


SLES15 OS provisioning:

SLES15, unlike most of the other distributions that only provide an install CD/DVD, delivers the required content for OS provisioning in two separate files. The most natural and maintainable solution is to use two media sources for provisioning in SA:

    1. OSBP step "Set Media Source" needs to point to the unzipped contents of SLES15-Installer-x86_64 iso

    2. OSBP step "Inject AutoYaST Personalization Settings" needs to point to the unzipped SLES15-Packages-x86_64 iso

Fixed Issues:

  1.  QCCR1D248331 - Security improvement 
Languages
English
Platform Installer - SLES15 x86_64 65.0.79115.0.0
117.9 MB
  |  
Aug 14, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.5
Release Notes

Platform Installer for SuSE Linux Enterprise Server 15 X86_64 on SA 10.5x


Prerequisites:

    - For Server Browser->Inventory->Services functionality and Virtualization support:

        - For SA 10.50, ROLLUP_10.50.010 or newer needs to be installed on the core.

        - For SA 10.51, ROLLUP_10.51.008 or newer needs to be installed on the core.


Limitations:

    - The platform installer is not supported on DCAA


SLES15 OS provisioning:

SLES15, unlike most of the other distributions that only provide an install CD/DVD, delivers the required content for OS provisioning in two separate files. The most natural and maintainable solution is to use two media sources for provisioning in SA:

    1. OSBP step "Set Media Source" needs to point to the unzipped contents of SLES15-Installer-x86_64 iso

    2. OSBP step "Inject AutoYaST Personalization Settings" needs to point to the unzipped SLES15-Packages-x86_64 iso

Languages
English
PlatformInstaller - RHEL7PPC64LE 70.0.79110.0.0
58.7 MB
  |  
Aug 14, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.6
Release Notes

Platform Installer for Red Hat Enterprise Linux Server 7 PPC64LE on SA 10.6x


Prerequisites:

 - For Server browser->Inventory->Services functionality, the following rollup version is required ROLLUP_10.60.008


Limitations:

 - The platform installer is not supported on DCAA

 - OS provisioning and virtualization are not supported for this platform

 - SMO Sitemap is not supported due to the deprecated sitemap. This implies that Service Automation Visualizer Tool and Inventory Runtime State are not supported for this platform

 Fixed Issues:

  1. QCCR1D248331 - Security improvement
  2. QCCR1D250394 - Upgrade from 10.6 with RHEL7PPC64LE platform installer installed on the core fails
Languages
English
Platform Installer - SLES12 ppc64le 70.0.78690.0.0
67.9 MB
  |  
Jun 29, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.6
Release Notes

Platform Installer for SuSE Linux Enterprise Server 12 ppc64le on SA 10.6x


Prerequisites:

 - For Server browser->Inventory->Services functionality, the following rollup version is required ROLLUP_10.60.008


Limitations:

 - The platform installer is not supported on DCAA

 - OS provisioning and virtualization are not supported for this platform

 - SMO Sitemap is not supported due to the deprecated sitemap. This implies that Service Automation Visualizer Tool and Inventory Runtime State are not supported for this platform

 Fixed Issues:

  1. QCCR1D248331 -  Security improvement 
Languages
English
Platform Installer - SLES12 ppc64le 65.0.78295.0.0
66.4 MB
  |  
May 23, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.5
Release Notes

Platform Installer for SuSE Linux Enterprise Server 12 ppc64le on SA 10.5x


Prerequisites:

 - For Server browser->Inventory->Services functionality, the following rollup versions are required:

   * for 10.50 - ROLLUP_10.50.009

   * for 10.51 - ROLLUP_10.51.007


Limitations:

 - The platform installer is not supported on DCAA

 - OS provisioning and virtualization are not supported for this platform

 - SMO Sitemap is not supported due to the deprecated sitemap. This implies that Service Automation Visualizer Tool and Inventory Runtime State are not supported for this platform

Languages
English
Platform Installer - SLES12 ppc64le 60.0.77709.0.3
63.2 MB
  |  
Mar 23, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.2
Release Notes

Platform Content for SLES 12 ppc64le on SA 10.22 and 10.23


Limitations:

 - The platform installer is not supported on DCAA 1.0, DCAA 1.1, SA 10.20 and SA 10.21.

 - OS Patches, OS provisioning and virtualization are not supported for this platform

 - SMO Sitemap is not supported due to the deprecated sitemap. This implies that Service Automation Visualizer Tool and Inventory Runtime State are not supported for this platform

Languages
English
Platform Installer - ESXi 6.5 60.0.77029.0.0
665.2 KB
  |  
Jan 31, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.2
Release Notes

Platform Content for ESXi 6.5 on SA 10.2x


Limitations:

 - The platform installer in not supported on DCAA 1.0 and DCAA 1.1


OS provisioning:

 - In SA 10.20 and 10.21: this platform installer provides ESXi 6.5 OSBP.

 - In SA 10.22 and 10.23: the ESXi 6 platform is present out of the box (no need for a platform installer after SA install/upgrade). The ESXi 6 platform also comes with OSBP support. The ESXi 6 OSBP should also be used for ESXi 6.5 OS provisioning.


Languages
English
Platform Installer - Amazon Linux 65.0.77144.0.7
61.5 MB
  |  
Jan 29, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.5
Release Notes

Platform Content for Amazon on SA 10.5x


Prerequisites:

 - Minimum required rollup versions for this platform installer:

   * for 10.50 - ROLLUP_10.50.007

   * for 10.51 - ROLLUP_10.51.005


Limitations:

 - The platform installer in not supported on DCAA releases

 - OSBP, patching and virtualization are not applicable

 - Icons and labels will be available in a later rollup

 - QCCR1D244350 - Agent set time function fails at install (caused by Amazon linux limitation)


Languages
English
Platform Installer - Amazon Linux 70.0.77035.0.20
61.7 MB
  |  
Jan 16, 2018
More info Less info
Product Compatibility
Server Automation
Version 10.6
Release Notes

Platform Content for Amazon on SA 10.60


Prerequisites:

 - The minimum required rollup version for this platform installer is ROLLUP_10.60.005


Limitations:

 - The platform installer in not supported on DCAA releases

 - OSBP, patching and virtualization are not applicable

 - Icons and labels will be available in a later rollup

 - QCCR1D244350 - Agent set time function fails at install (caused by Amazon linux limitation)

Languages
English
Platform Installer - Debian 9 60.0.76856.0.48
129.3 MB
  |  
Dec 14, 2017
More info Less info
Product Compatibility
Server Automation
Version 10.2
Release Notes

Platform content for Debian 9 on SA 10.2x


Prerequisites:

 - The following packages need to be installed on the target managed server, to enable software management operations:

   * "python"

   * "python-apt"

 - Minimum required rollup versions for this platform installer:

   * for 10.20 - ROLLUP_10.20.014

   * for 10.21 - ROLLUP_10.21.013

   * for 10.22 - ROLLUP_10.22.009

   * for 10.23 - ROLLUP_10.23.010


Limitations:

 - The platform installer in not supported on DCAA 1.0 and DCAA 1.1

 - "Clone VM" and "Deploy VM" are not supported; only "Create VM" is supported (these operations are only supported in SA versions greater than 10.5x)

 - Patch management not supported

 - In case of upgrade from 10.2x to 10.2y, the platform installer needs to be reinstalled


Debian OS provisioning:

Debian delivers it's installation media in many forms (see https://www.debian.org/distrib/) unlike most of the other distributions that only provide an install CD/DVD. Because Debian delivers the required content for OS provisioning in two separate files, the most natural and maintainable solution is to use two media sources for Debian OS provisioning in SA:

 1. Debian OSBP step 2: "Set Media Source" needs to point to the unzipped contents of netboot.tar.gz (the Debian netboot.tar.gz can be downloaded from <any-debian-repository-mirror>/debian/dists/stretch/main/installer-amd64/current/images/netboot/ - i.e. http://ftp.nl.debian.org/debian/dists/stretch/main/installer-amd64/current/images/netboot/)

 2. Debian OSBP step 9: "Set Second Debian Media Source" needs to point to the unzipped Debian DVD 1 ISO (the Debian DVD 1 can be downloaded form https://cdimage.debian.org/debian-cd/current/amd64/iso-dvd/)


Debian defects that have OS provisioning impact:

- Debian defect 867898 (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=867898) - until this defect is not fixed, the Debian DVD ISO doesn't contain the drivers for SCSI hard-disk and the OS installation will fail during disk partitioning. To workaround this issue, instead of using the DVD ISO as the second media source, an actual Debian repository needs to be used. To use an actual Debian repository we provide two options:

      1. use an official/external Debian repository - for this option you will most definitely need an HTTP proxy. The Debian OSBP has an http_proxy custom attribute where you can specify the HTTP proxy

      2. use an internal mirror of a Debian repository - the easiest way to setup a Debian mirror is to use apt-cacher-ng (https://packages.debian.org/stretch/apt-cacher-ng)


Known issues:

 - QCCR1D243905 - Debian Create VM with static IPv6 doesn't persist IPv6 settings in /etc/network/interfaces even if the job is successful


Languages
English
Platform Installer - Debian 9 65.0.76864.0.23
125.7 MB
  |  
Dec 14, 2017
More info Less info
Product Compatibility
Server Automation
Version 10.5
Release Notes

Platform Content for Debian 9 on SA 10.5x


Prerequisites:

 - The following packages need to be installed on the target managed server, to enable software management operations:

   * "python"

   * "python-apt"

 - Minimum required rollup versions for this platform installer:

   * for 10.50 - ROLLUP_10.50.007

   * for 10.51 - ROLLUP_10.51.005


Limitations:

 - The platform installer in not supported on DCAA releases

 - Patch management not supported

 - In case of upgrade from 10.50 to 10.51, the platform installer needs to be reinstalled


Debian OS provisioning:

Debian delivers it's installation media in many forms (see https://www.debian.org/distrib/) unlike most of the other distributions that only provide an install CD/DVD. Because Debian delivers the required content for OS provisioning in two separate files, the most natural and maintainable solution is to use two media sources for Debian OS provisioning in SA:

 1. Debian OSBP step 2: "Set Media Source" needs to point to the unzipped contents of netboot.tar.gz (the Debian netboot.tar.gz can be downloaded from <any-debian-repository-mirror>/debian/dists/stretch/main/installer-amd64/current/images/netboot/ - i.e. http://ftp.nl.debian.org/debian/dists/stretch/main/installer-amd64/current/images/netboot/)

 2. Debian OSBP step 9: "Set Second Debian Media Source" needs to point to the unzipped Debian DVD 1 ISO (the Debian DVD 1 can be downloaded form https://cdimage.debian.org/debian-cd/current/amd64/iso-dvd/)


Debian defects that have OS provisioning impact:

- Debian defect 867898 (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=867898) - until this defect is not fixed, the Debian DVD ISO doesn't contain the drivers for SCSI hard-disk and the OS installation will fail during disk partitioning. To workaround this issue, instead of using the DVD ISO as the second media source, an actual Debian repository needs to be used. To use an actual Debian repository we provide two options:

      1. use an official/external Debian repository - for this option you will most definitely need an HTTP proxy. The Debian OSBP has an http_proxy custom attribute where you can specify the HTTP proxy

      2. use an internal mirror of a Debian repository - the easiest way to setup a Debian mirror is to use apt-cacher-ng (https://packages.debian.org/stretch/apt-cacher-ng)


Known issues:

 - QCCR1D244084 - Debian9 x64 and Ubuntu 16 x64 VMs will not get static IPv6 addresses even if Create\Clone VM job will complete successfully with no errors with Auto-config set to True

 - QCCR1D244133 - Debian9 x64 and Ubuntu 16 x64 Create VM job with IPv6 Auto-config option unchecked will fail at Running OS build plan step


Languages
English
Platform Installer - Debian 9 70.0.76864.0.77
112.4 MB
  |  
Dec 13, 2017
More info Less info
Product Compatibility
Server Automation
Version 10.6
Release Notes

Prerequisites:

 - The following packages need to be installed on the target managed server, to enable software management operations:

   * "python"

   * "python-apt"

 - Minimum required rollup version for this platform installer:

   * for 10.60 - ROLLUP_10.60.005


Limitations:

 - The platform installer in not supported on DCAA releases

 - Patch management not supported


Debian OS provisioning:

Debian delivers it's installation media in many forms (see https://www.debian.org/distrib/) unlike most of the other distributions that only provide an install CD/DVD. Because Debian delivers the required content for OS provisioning in two separate files, the most natural and maintainable solution is to use two media sources for Debian OS provisioning in SA:

 1. Debian OSBP step 2: "Set Media Source" needs to point to the unzipped contents of netboot.tar.gz (the Debian netboot.tar.gz can be downloaded from <any-debian-repository-mirror>/debian/dists/stretch/main/installer-amd64/current/images/netboot/ - i.e. http://ftp.nl.debian.org/debian/dists/stretch/main/installer-amd64/current/images/netboot/)

 2. Debian OSBP step 9: "Set Second Debian Media Source" needs to point to the unzipped Debian DVD 1 ISO (the Debian DVD 1 can be downloaded form https://cdimage.debian.org/debian-cd/current/amd64/iso-dvd/)


Debian defects that have OS provisioning impact:

- Debian defect 867898 (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=867898) - until this defect is not fixed, the Debian DVD ISO doesn't contain the drivers for SCSI hard-disk and the OS installation will fail during disk partitioning. To workaround this issue, instead of using the DVD ISO as the second media source, an actual Debian repository needs to be used. To use an actual Debian repository we provide two options:

      1. use an official/external Debian repository - for this option you will most definitely need an HTTP proxy. The Debian OSBP has an http_proxy custom attribute where you can specify the HTTP proxy

      2. use an internal mirror of a Debian repository - the easiest way to setup a Debian mirror is to use apt-cacher-ng (https://packages.debian.org/stretch/apt-cacher-ng)


Known issues:

 - QCCR1D244084 - Debian9 x64 and Ubuntu 16 x64 VMs will not get static IPv6 addresses even if Create\Clone VM job will complete successfully with no errors with Auto-config set to True

 - QCCR1D244133 - Debian9 x64 and Ubuntu 16 x64 Create VM job with IPv6 Auto-config option unchecked will fail at Running OS build plan step


Languages
English
Platform Installer - Windows 2016 65.0.74624.0.17
75.4 MB
  |  
Nov 17, 2017
More info Less info
Product Compatibility
Server Automation
Version 10.5
Release Notes

Platform Content for Windows 2016 on SA 10.5x

Modifications:

1. Fixed issue for QCCR1D237329 - bs_software fails for Windows 2016

2. Fixed issue for QCCR1D239122 - The Windows 2016 Platform Installer fails to install on DCA 1.2

Languages
English
Platform Installer - RHEL 7 s390X 70.0.74969.0.5
132.3 MB
  |  
Jul 4, 2017
More info Less info
Product Compatibility
Server Automation
Version 10.6
Release Notes

  Platform Installer which enable RHEL 7 S390X content in SA 10.6x 

Languages
English
Platform Installer - AIX 7.2 50.0.74602.0.1
67.6 MB
  |  
May 12, 2017
More info Less info
Product Compatibility
Server Automation
Version 10.0 · 10.1 · 10.2
Release Notes

 Platform Installer which enables AIX 7.2 content in SA 10.0x

Languages
English
Platform Installer - RHEL 7 HPC 65.0.74385.0.10
106.6 MB
  |  
May 5, 2017
More info Less info
Product Compatibility
Server Automation
Version 10.5
Release Notes

Platform Installer which enables content for RHEL 7 HPC(Compute Node) on SA 10.5x release

Languages
English
Platform Installer - AIX 7.2 55.0.74476.0.5
84.0 MB
  |  
May 5, 2017
More info Less info
Product Compatibility
Server Automation
Version 10.10
Release Notes

 Platform Installer which enables AIX 7.2 content in SA 10.1x 

Languages
English
Platform Installer - AIX 7.2 65.0.74961.0.31
75.1 MB
  |  
May 5, 2017
More info Less info
Product Compatibility
Server Automation
Version 10.5
Release Notes

Platform Installer which enables AIX 7.2 content in SA 10.5x

Languages
English
Platform Installer - RHEL 7 S390x 50.0.72934.0.0
61.6 MB
  |  
Apr 25, 2017
More info Less info
Product Compatibility
Server Automation
Version 10.0
Release Notes

Platform Installer which enables content for RHEL 7 S390x(zSeries)

Languages
English
PlatformInstaller - RHEL 7 PowerPC 60.0.73015.0.4